<?php

declare(strict_types=1);

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Zone extends Model
{
    protected $fillable = [
        'city_id',
        'name',
    ];

    public function city(): BelongsTo
    {
        return $this->belongsTo(City::class);
    }

    public function propertyRequests(): HasMany
    {
        return $this->hasMany(PropertyRequest::class);
    }

    public function propertyProposals(): HasMany
    {
        return $this->hasMany(PropertyProposal::class);
    }
}
